BannerTypeReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор
      example: 1
BannerTypeFillableProperties:
  type: object
  properties:
    code:
      type: string
      description: Код (значение из BannerTypeEnum)
      example: 'widget'
    active:
      type: boolean
      description: Активность
      example: true
    name:
      type: string
      description: Значение
      example: 'В виджете'
BannerType:
  allOf:
    - $ref: '#/BannerTypeReadonlyProperties'
    - $ref: '#/BannerTypeFillableProperties'

SearchBannerTypesFilter:
  type: object
  example: {}

SearchBannerTypesRequest:
  type: object
  properties:
    sort:
      $ref: '../../common_schemas.yaml#/RequestBodySort'
    filter:
      $ref: '#/SearchBannerTypesFilter'
    include:
      $ref: '../../common_schemas.yaml#/RequestBodyInclude'
    pagination:
      $ref: '../../common_schemas.yaml#/RequestBodyPagination'

SearchBannerTypesResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/BannerType'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
    - data
    - meta
